<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.ziparchive.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'fr',
  ),
  'this' => 
  array (
    0 => 'ziparchive.registercancelcallback.php',
    1 => 'ZipArchive::registerCancelCallback',
  ),
  'up' => 
  array (
    0 => 'class.ziparchive.php',
    1 => 'ZipArchive',
  ),
  'prev' => 
  array (
    0 => 'ziparchive.open.php',
    1 => 'ZipArchive::open',
  ),
  'next' => 
  array (
    0 => 'ziparchive.registerprogresscallback.php',
    1 => 'ZipArchive::registerProgressCallback',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'fr',
    'path' => 'reference/zip/ziparchive/registercancelcallback.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="ziparchive.registercancelcallback" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">ZipArchive::registerCancelCallback</h1>
  <p class="verinfo">(PHP &gt;= 8.0.0, PECL zip &gt;= 1.17.0)</p><p class="refpurpose"><span class="refname">ZipArchive::registerCancelCallback</span> &mdash; <span class="dc-title">Enregistre une fonction de appel permettant d&#039;annuler pendant la clôture d&#039;une archive</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-ziparchive.registercancelcallback-description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="methodname"><strong>ZipArchive::registerCancelCallback</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$callback</code></span>): <span class="type"><a href="language.types.boolean.php" class="type bool">bool</a></span></div>

  <p class="para rdfs-comment">
   Enregistre une fonction de rappel <code class="parameter">callback</code> permettant
   l&#039;annulation pendant la clôture d&#039;une archive. 
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-ziparchive.registercancelcallback-parameters">
  <h3 class="title">Liste de paramètres</h3>
  <p class="para">
   <dl>
    
     <dt><code class="parameter">callback</code></dt>
     <dd>
      <p class="para">
       Si la fonction retourne 0, l&#039;opération continue, sinon, elle sera annulée.
      </p>
     </dd>
    
   </dl>
  </p>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-ziparchive.registercancelcallback-returnvalues">
  <h3 class="title">Valeurs de retour</h3>
  <p class="para">
   Cette fonction retourne <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong> en cas de succès ou <strong><code><a href="reserved.constants.php#constant.false">false</a></code></strong> si une erreur survient.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-ziparchive.registercancelcallback-examples">
  <h3 class="title">Exemples</h3>
    <p class="para">
     Cet exemple crée un fichier ZIP
     <var class="filename">php.zip</var> et annule
     l&#039;opération sous certaines conditions.
    </p>
    <div class="example" id="example-2590">
     <p><strong>Exemple #1 Archivage d&#039;un fichier</strong></p>
     <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$zip </span><span style="color: #007700">= new </span><span style="color: #0000BB">ZipArchive</span><span style="color: #007700">();<br />if (</span><span style="color: #0000BB">$zip</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">open</span><span style="color: #007700">(</span><span style="color: #DD0000">'php.zip'</span><span style="color: #007700">, </span><span style="color: #0000BB">ZipArchive</span><span style="color: #007700">::</span><span style="color: #0000BB">CREATE </span><span style="color: #007700">| </span><span style="color: #0000BB">ZipArchive</span><span style="color: #007700">::</span><span style="color: #0000BB">OVERWRITE</span><span style="color: #007700">)) {<br />    </span><span style="color: #0000BB">$zip</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">addFile</span><span style="color: #007700">(</span><span style="color: #0000BB">PHP_BINARY</span><span style="color: #007700">, </span><span style="color: #DD0000">'php'</span><span style="color: #007700">);<br />    </span><span style="color: #0000BB">$zip</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">registerCancelCallback</span><span style="color: #007700">(function () {<br />        return (</span><span style="color: #0000BB">$someruncondition </span><span style="color: #007700">? -</span><span style="color: #0000BB">1 </span><span style="color: #007700">: </span><span style="color: #0000BB">0</span><span style="color: #007700">);<br />    });<br />    </span><span style="color: #0000BB">$zip</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">close</span><span style="color: #007700">();<br />}</span></span></code></div>
     </div>

    </div>
 </div>


 <div class="refsect1 notes" id="refsect1-ziparchive.registercancelcallback-notes">
  <h3 class="title">Notes</h3>
  <blockquote class="note"><p><strong class="note">Note</strong>: 
   <p class="para">
    Cette fonction est uniquement disponible si l&#039;extension a été
    compilée avec libzip ≥ 1.6.0.
   </p>
  </p></blockquote>
 </div>


 <div class="refsect1 seealso" id="refsect1-ziparchive.registercancelcallback-seealso">
  <h3 class="title">Voir aussi</h3>
  <p class="para">
   <ul class="simplelist">
    <li><span class="methodname"><a href="ziparchive.registerprogresscallback.php" class="methodname" rel="rdfs-seeAlso">ZipArchive::registerProgressCallback()</a> - Enregistre une fonction de rappel pour permettre des mises &agrave; jour pendant la fermeture de l'archive</span></li>
   </ul>
  </p>
 </div>

</div><?php manual_footer($setup); ?>